Subject: Re: [PATCH net] bonding: 802.3ad: Avoid packet loss when switching aggregator

From: Thomas Bogendoerfer <[email-masked]>
Date: Tue, 9 Apr 2024 16:34:23 +0200

On Sat, 6 Apr 2024 17:03:54 +0100
Simon Horman <[email-masked]> wrote:

> On Thu, Apr 04, 2024 at 01:49:08PM +0200, Thomas Bogendoerfer wrote:
> > If selection logic decides to switch to a new aggregator it disables
> > all ports of the old aggregator, but doesn't enable ports on
> > the new aggregator. These ports will eventually be enabled when
> > the next LACPDU is received, which might take some time and without an
> > active port transmitted frames are dropped. Avoid this by enabling
> > already collected ports of the new aggregator immediately.
> > 
> > Signed-off-by: Thomas Bogendoerfer <[email-masked]>  
> 
> Hi Thomas,
> 
> I will leave the technical review to Jay and others.  But as a fix, I think
> this patch warrants a Fixes tag. It should be sufficient to respond to this
> email thread with an appropriate tag.

current behavior is older than our git tree. So should I really add

Fixes: 1da177e4c3f4 ("Linux-2.6.12-rc2")

?

Thomas.

-- 
SUSE Software Solutions Germany GmbH
HRB 36809 (AG Nürnberg)
Geschäftsführer: Ivo Totev, Andrew McDonald, Werner Knoblich